#include<iostream>
#include<vector>
#include<iomanip>
using namespace std;
vector <long double> a;
vector <long double> p;
int n;
void unos(long double &suma)
{
    long double q,w;
    suma=0;
    for(int i=0;i<n;i++)
    {
        cin>>q>>w;
        w=w/100;
        a.push_back(q);
        suma+=q;
        p.push_back(w);
    }
}
void quicksort(int l, int d)
{
    int i,j;
    i=l;
    j=d;
    if(l>=d)
        return;
    while(j>i)
    {
        while(p[d]>p[i])
            i++;
        while(j>i && p[d]<=p[j])
            j--;
        swap(p[i],p[j]);
        swap(a[i],a[j]);
    }
    swap(p[i],p[d]);
    swap(a[i],a[d]);
    quicksort(l,i-1);
    quicksort(i+1,d);
}
void obrada(long double suma)
{
    long double maks;
    maks=suma*p[0];
    for(int i=1;i<n;i++)
    {
        suma=suma-a[i-1];
        if (maks<suma*p[i]){
            maks=suma*p[i];
        }
    }
    cout << fixed << showpoint << setprecision(4)<<maks<<endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long double suma;
    cin>>n;
    unos(suma);
    quicksort(0,n-1);
    obrada(suma);
}